Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface MetaObjectProtocol

Method Summary
`Object` | `getAttribute(Object object, String attribute)` Obtain a list of all meta properties available on this meta class
`MetaMethod` | `getMetaMethod(String name, def args)` Obtain a list of all meta properties available on this meta class
`MetaProperty` | `getMetaProperty(String name)` Obtain a list of all meta properties available on this meta class
`List` | `getMethods()` Obtain a list of all meta properties available on this meta class
`List` | `getProperties()` Obtain a list of all meta properties available on this meta class
`Object` | `getProperty(Object object, String property)` Obtain a list of all meta properties available on this meta class
`MetaMethod` | `getStaticMetaMethod(String name, def args)` Obtain a list of all meta properties available on this meta class
`Class` | `getTheClass()` Obtain a list of all meta properties available on this meta class
`MetaProperty` | `hasProperty(Object obj, String name)` Obtain a list of all meta properties available on this meta class
`Object` | `invokeConstructor(def arguments)` Obtain a list of all meta properties available on this meta class
`Object` | `invokeMethod(Object object, String methodName, def arguments)` Obtain a list of all meta properties available on this meta class
`Object` | `invokeMethod(Object object, String methodName, Object arguments)` Obtain a list of all meta properties available on this meta class
`Object` | `invokeStaticMethod(Object object, String methodName, def arguments)` Obtain a list of all meta properties available on this meta class
`List` | `respondsTo(Object obj, String name, def argTypes)` Obtain a list of all meta properties available on this meta class
`List` | `respondsTo(Object obj, String name)` Obtain a list of all meta properties available on this meta class
`void` | `setAttribute(Object object, String attribute, Object newValue)` Obtain a list of all meta properties available on this meta class
`void` | `setProperty(Object object, String property, Object newValue)` Obtain a list of all meta properties available on this meta class

Method Detail

### getAttribute

    public Object getAttribute(Object object, String attribute)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getMetaMethod

    public MetaMethod getMetaMethod(String name, def args)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getMetaProperty

    public MetaProperty getMetaProperty(String name)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getMethods

    public List getMethods()

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getProperties

    public List getProperties()

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getProperty

    public Object getProperty(Object object, String property)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, def args)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### getTheClass

    public Class getTheClass()

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### hasProperty

    public MetaProperty hasProperty(Object obj, String name)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### invokeConstructor

    public Object invokeConstructor(def arguments)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### invokeMethod

    public Object invokeMethod(Object object, String methodName, def arguments)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### invokeStaticMethod

    public Object invokeStaticMethod(Object object, String methodName, def arguments)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### respondsTo

    public List respondsTo(Object obj, String name, def argTypes)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### respondsTo

    public List respondsTo(Object obj, String name)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### setAttribute

    public void setAttribute(Object object, String attribute, Object newValue)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances

### setProperty

    public void setProperty(Object object, String property, Object newValue)

  Obtain a list of all meta properties available on this meta class
  see:
    MetaBeanProperty
  return:
    A list of MetaBeanProperty instances